package com.jeeplus.psimanage.feign;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.flowable.feign.IPsiManagementApi;
import com.jeeplus.psimanage.psiWareHouse.service.PsiWareHouseBasicService;
import com.jeeplus.psimanage.psiWareHouse.service.dto.PsiWareHouseDto;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class PsiManagementApiImpl implements IPsiManagementApi {

    @Resource
    private PsiWareHouseBasicService psiWareHouseBasicService;

    @Override
    public void nearExpiryList() {
        Page<PsiWareHouseDto> page = new Page<>();
        page.setCurrent(1);
        page.setSize(-1);
        psiWareHouseBasicService.nearExpiryList(page, new PsiWareHouseDto());
    }
}
